GL-117(6)

NAME
gl-117 - an OpenGL action flight simulator

SYNOPSIS
gl-117 [-dlevel -h -v]

DESCRIPTION

gl-117 is an OpenGL and SDL based action flight simulator written in ISO C++. Enter the Eagle Squadron and succeed in several challanging missions leading though different landscapes. Five predefined levels of video quality and an amount of viewing ranges let you perfectly adjust the game to the performance of your system. The game provides joystick and mouse support, sound effects, and music.

OPTIONS

-dlevel
    Set the debug level to level in [0..5]. '0' means quiet and will avoid any output, '1' will log fatal errors causing the program to crash on stderr, '2' will also print exceptions on stderr, '3' will add warnings on stdout, '4' prints additional information (predefined) on stdout, and '5' gives developer specific messages on stdout.

-h  Print a short summary on stdout and then quit immediately.

-v  Display the version number of gl-117 and then quit immediately.

CONFIGURATION

gl-117 uses a predefined working directory ".gl-117" in the user's home directory to load and store all savegame files and read the plain text configuration files "conf" and "conf.interface". If there are no config files available, gl-117 will create them using standard settings. The contents of the files are quite self-explanatory.

DOCUMENTATION

Please look at the gl-117 user manual (gl-117.pdf) for installation instructions and further gameplay related descriptions.

COPYRIGHT

gl-117 is distributed under the terms of the GPL.

AUTHORS

Thomas A. Drexl (tom.drexl@gmx.de)